#include <bits/stdc++.h>

#define ll long long
#define ld long double
#define pb push_back
#define fi first
#define se second
#define en '\n'
#define sp ' '
#define tb '\t'
#define ri(n) int n; cin >> n
#define rl(n) ll n; cin >> n
#define rs(s) string s; cin >> s
#define rc(c) char c; cin >> c
#define rv(v) for (auto &x : v) cin >> x
#define pven(v) for (auto x : v) cout << x << en
#define pv(v) for (auto x : v) cout << x << sp; cout << en
#define all(v) v.begin(), v.end()
#define rall(v) v.rbegin(), v.rend()
#define yes cout << "YES" << en
#define no cout << "NO" << en
#define smin(a, b) a = min(a, b)
#define smax(a, b) a = max(a, b)
#define ssort(a, b) if (a < b) swap(a, b)
#define bitcnt(a) (__builtin_popcountll(a))
#define bithigh(a) (63-__builtin_clzll(a))
#define lg bithigh
#define highpow(a) (1LL << (ll)lg(a))

using namespace std;

const ll LINF = 4e18;
const int mxN = 1e6+10, INF = 2e9;
ll n, m, a[mxN];

vector<int> F(int x){

    vector<int> v;
    while (x){
        v.pb(x % 10);
        x /= 10;
    }
    reverse(all(v));
    return v;
}

void Solve(){

    cin >> n >> m;
    auto a = F(n), b = F(m);
    vector<int> v;
    while (a.size() && b.size()){
        int x = a.back(), y = b.back();
        ssort(x, y);
        if (x == y){
            v.pb(x);
            v.pb(y);
        }
        else v.pb(x);
        a.pop_back();
        b.pop_back();
    }
    while (a.size()){
        v.pb(a.back());
        a.pop_back();
    }
    while (b.size()){
        v.pb(b.back());
        b.pop_back();
    }
    while (v.size()){
        cout << v.back();
        v.pop_back();
    }
    cout << en;
}

int main(){

    ios::sync_with_stdio(false);
    cin.tie(0); cout.tie(0); cerr.tie(0);
    cout << setprecision(12) << fixed;
    cerr << setprecision(12) << fixed;
    cerr << "Started!" << endl;

    int t = 1;
    //cin >> t;
    while (t--)
        Solve();

    return 0;
}